#!/usr/bin/env python3


# ===========================================================================================
# Einbinden der Bibliotheken (Module)
# ===========================================================================================

# Modul, das zur Herstellung von Grafiken verwendet wird, siehe https://matplotlib.org
from matplotlib import pyplot as plt


# ===========================================================================================
# Bereitstellen der Daten
# ===========================================================================================

# ----------------------------------------------
# Die eigentlichen Daten
# ----------------------------------------------

# X-Koordinaten
minutes = [1, 2, 3, 4, 5, 6, 7, 8, 9]

# Y-Koordinaten
player1 = [8, 6, 6, 4, 3, 2, 1, 1, 0]
player2 = [0, 1, 2, 2, 2, 4, 2, 4, 6]
player3 = [0, 2, 2, 1, 2, 4, 3, 3, 4]
player4 = [0, 2, 3, 4, 3, 3, 2, 1, 1]

labels = ['player1', 'player2', 'player3', 'player4']

# ----------------------------------------------
# Was man noch so braucht
# ----------------------------------------------

colors = ['#6d904f', '#fc4f30', '#008fd5',  '#ff8607']



# ===========================================================================================
# Erstellen des gestapelten Flächendiagramms
# ===========================================================================================

### Style
# plt.style.use("ggplot")
# plt.style.use("seaborn")
plt.style.use("fivethirtyeight")

# Das Diagramm
plt.stackplot(minutes, player1, player2, player3, player4, labels=labels, colors=colors)

# Titel
plt.title("gestapeltes Flächendiagramm")

# Selbst festlegen wo man die Legende haben will
plt.legend(loc=(0.07, 0.05))

# Layout-Variation
plt.tight_layout()

# Als Datei speichern
# plt.savefig("MatPlot.png")

# Als interaktive Grafik anzeigen
plt.show()
