#!/usr/bin/env python3


# ===========================================================================================
# Einbinden der Bibliotheken (Module)
# ===========================================================================================

# Modul, das zur Herstellung von Grafiken verwendet wird, siehe https://matplotlib.org
from matplotlib import pyplot as plt


# ===========================================================================================
# Bereitstellen der Daten
# ===========================================================================================

# ----------------------------------------------
# Die eigentlichen Daten
# ----------------------------------------------

# Beliebtheiten ausgewählter Sprachen
popularities = [59219, 55466, 47544, 36443, 35917]
labels       = ['JavaScript', 'HTML/CSS', 'SQL', 'Python', 'Java']

# ----------------------------------------------
# Was man noch so braucht
# ----------------------------------------------

# Pro Sprache eine Farbe (#rrggbb rr = Rot-Anteil, gg = grün, bb = blau, jeweils als Hexadezimalzahl)
colors = ['#008fd5', '#fc4f30', '#e5ae37', '#6d904f', '#ff8020']

# Wie weit nach außen soll das jeweilige Tortenstück rücken?
explode = [0, 0, 0, 0.2, 0]


# ===========================================================================================
# Erstellen des Tortendiagramms
# ===========================================================================================

# Das Diagramm
plt.pie(popularities, 
	labels     = labels,
	explode    = explode,
	shadow     = True,
	startangle = 90,
	autopct    = "%1.1f%%",
	colors     = colors, 
	wedgeprops = {'edgecolor': '#00ff00'},
)

# Titel
plt.title("Torte")

# Layout-Variation
plt.tight_layout()

# Als Datei speichern
# plt.savefig("MatPlot.png")

# Als interaktive Grafik anzeigen
plt.show()



# ===========================================================================================
# andere Daten, die man oben einfügen könnte
# ===========================================================================================

popularities = [59219, 55466, 47544, 36443, 35917, 31991, 27097, 23030, 20524, 18523, 18017, 7920, 7331, 7201, 5833]
labels = ['JavaScript', 'HTML/CSS', 'SQL', 'Python', 'Java', 'Bash/Shell/PowerShell', 'C#', 'PHP', 'C++', 'TypeScript', 'C', 'Other(s):', 'Ruby', 'Go', 'Assembly']

# Achtung! Es müssen dann auch entsprechend viele Farben in der Liste colors angegeben werden und auch explode muss erweiteret werden,
# vorausgesetzt man macht von diesen Optionen Gebrauch.
